
QGIS Application - Bug report #12171

Processing Refactor fields: can't change an "int" field to "double" with 0 precision

2015-02-10 01:49 AM - Filipe Dias

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20363

Description

Steps to reproduce:

- Run Refactor fields using the attached shapefile

- Go to field "Nt", change its type to "double" and set Precision to 0

- The new field still has "Nt" as "int". If the Precision is changed to 1 or more, it works.

History

#1 - 2015-02-11 07:15 AM - Arnaud Morvan

FieldsMapper use standard processing function "output.getVectorWriter" to create output storage, and give it selected type and precision.

With type double and precision 0, I confirm that resulting field is displayed as integer in fields tab of layer properties dialog.

#2 - 2015-06-26 05:20 AM - Victor Olaya

- Status changed from Open to Feedback

IS this a Processing issue or a QGIS one? Processing just passes the precision value to the QgsField object, and it seems that QGIs is not handling it as it

should

#3 - 2015-12-27 12:59 PM - Giovanni Manghi

- Status changed from Feedback to Open

Still true on master, please change the category if it is a QGIS issue rather than a Processing one.

#4 - 2016-01-12 09:32 AM - Alexander Bruy

- Assignee deleted (Victor Olaya)

- Category changed from Processing/QGIS to Data Provider/OGR

This is not a Processing bug and even not QGIS one. Seems GDAL does not allow to create float fields with zero precision
#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

sample.zip 1.89 KB 2015-02-10 Filipe Dias
